$(document).ready(function() {
	loginStatus(); //判断个人是否登录
	var userid = $.cookie("userid");
	$(".jqzoom").imagezoom();
	$("#thumblist").on("click", "li a", function() {
		$(this).parents("li").addClass("tb-selected").siblings().removeClass("tb-selected");
		$(".jqzoom").attr('src', $(this).find("img").attr("src"));
		$(".jqzoom").attr('rel', $(this).find("img").attr("src"));
	});
	$('.shareWeixin').hover(function() {
		$('.shareCode').stop(true, false).fadeToggle();
	});
	var resourceId = GetQueryString("resourceId");
	ifCollection(resourceId, 2)
	var professorId = "";
	getRecourceMe();
	/*获取资源信息*/
	function getRecourceMe() {
		$.ajax({
			"url": "/ajax/resource/queryOne",
			"type": "GET",
			"success": function(data) {
				console.log(data);
				if(data.success) {
					resourceHtml(data.data);
					var resourceName = data.data.resourceName + "-科袖网";
					window.setTimeout(function() {
						document.title = resourceName;
					}, 500);
				}
			},
			"data": {
				"resourceId": resourceId
			},
			dataType: "json",
			'error': function() {
				$.MsgBox.Alert('提示', '服务器连接超时！');
			}
		});
	}
	/*合作备注及性能参数存储换行格式*/
	function outHTML(selecter) {
		var getValue = selecter;
		var aa = "";
		if(getValue) {
			var endValue = ((getValue.replace(/<(.+?)>/gi, "&lt;$1&gt;")).replace(/ /gi, "&nbsp;")).replace(/\n/gi, "|");
			var cc = endValue.split("|");
			for(var i = 0; i < cc.length; i++) {
				aa += cc[i] + '<br/>'
			}
		}
		return aa;
	}
	/*处理资源html代码*/
	function resourceHtml($da) {
		$("#resourceName").text($da.resourceName); //名字
		$("#application").text($da.supportedServices); //应用用途
		if($da.editProfessor) {
			$("#person").show();
			if($da.orgName) { //所属机构
				$("#organizationName").text($da.orgName).parents("li").show();
			}
			$("#nameS").text($da.editProfessor.name);
			if($da.editProfessor.title) {
				$("#titleOffice").text($da.editProfessor.title);
			} else {
				if($da.editProfessor.office) {
					$("#titleOffice").text($da.editProfessor.office);
				}
			}
			if($da.editProfessor.orgName) {
				$("#orgType").text($da.editProfessor.orgName);
			}
			professorId = $da.editProfessor.id;
			console.log(professorId);
			console.log(userid);
			if(userid != professorId) {
				ifCollection(professorId, 1)
				$(".goSpan").show();
			}
			var professorFlag = autho($da.editProfessor.authType, $da.editProfessor.orgAuth, $da.editProfessor.authStatus);
			$("#authFlag").addClass(professorFlag.sty).attr("title", professorFlag.title);
			if($da.editProfessor.hasHeadImage == 1) {
				$("#headImg").css("background-image", 'url(/images/head/' + $da.editProfessor.id + '_l.jpg)');
			}
		}else{
			$("#enterprise,#resPerson").show();
			if($da.organization.hasOrgLogo) {
						$("#Qimg").attr("style", "background-image: url(/images/org/" + $da.organization.id + ".jpg);");
					}
					if($da.organization.authStatus==3){
						$("#QauthFlag").addClass("authicon-com-ok").attr("title", "认证企业");	
					}
					$("#Qname").text($da.organization.name);
					$("#Qindustry").text($da.organization.subject);
					if($da.organization.orgType==2){
						$("#QorgType").text("上市企业");
					}else if($da.organization.orgType==3){
						$("#QorgType").text("国有企业");
					}else if($da.organization.orgType==4){
						$("#QorgType").text("合资企业");
					}else if($da.organization.orgType==5){
						$("#QorgType").text("私人企业");
					}else if($da.organization.orgType==6){
						$("#QorgType").text("外资企业");
					}else if($da.organization.orgType==7){
						$("#QorgType").text("初创企业");
					}else{
						$("#QorgType").text("");
					}
		}
		if($da.spec) { //厂商型号
			$("#modelNumber").text($da.spec).parents("li").show();
		}
		if($da.parameter) { //性能参数
			$("#performancePa").html(outHTML($da.parameter)).parents("li").show();
		}
		if($da.cooperationNotes) { //合作备注
			$("#remarkContent").html(outHTML($da.cooperationNotes)).parents("li").show();
		}
		if($da.subject) {
			var oSub = $da.subject.split(",");
			if($da.resourceType==1) {
				interestingResources(oSub,$da.professorId,0);
			}else{
				interestingResources(oSub,$da.orgId,1);
			}
			var oSt = "";
			for(var i = 0; i < oSub.length; i++) {
				oSt += '<li><p class="h2Font">' + oSub[i] + '</p></li>'
			}
			$(".tagList").html(oSt);
		} else {
			$(".aboutTit:contains('您可能感兴趣的资源')").parent().hide();
		}
		if($da.descp) { //编辑器
			$("#descp").html($da.descp).parents("li").show();
		}
		var weibotitle = $da.resourceName;
		var weibourl = window.location.href;
		//return;
		if($da.images.length) {
			var weibopic = "http://" + window.location.host + "/data/resource/" + $da.images[0].imageSrc;
			$("#firstFigure").attr({
				"src": "/data/resource/" + $da.images[0].imageSrc,
				"rel": "/data/resource/" + $da.images[0].imageSrc
			}).parent().attr("href", "/data/resource/" + $da.images[0].imageSrc);
			var arr = "";
			for(var i = 0; i < $da.images.length; i++) {
				if($da.images[i] == $da.images[0]) {
					var oString = '<li class="tb-selected">' +
						'<div class="tb-pic tb-s66">' +
						'<a href="javascript:void(0);">' +
						'<img src="/data/resource/' + $da.images[i].imageSrc + '"/>' +
						'</a>' +
						'</div>' +
						'</li>'
				} else {
					var oString = '<li >' +
						'<div class="tb-pic tb-s66">' +
						'<a href="javascript:void(0);">' +
						'<img src="/data/resource/' + $da.images[i].imageSrc + '"/>' +
						'</a>' +
						'</div>' +
						'</li>'
				}

				arr += oString;
			}
			$("#thumblist").html(arr);
		} else {
			var weibopic = "http://" + window.location.host + "../images/default-resource.jpg";
			$("#firstFigure").attr({
				"src": '../images/default-resource.jpg',
				"rel": '../images/default-resource.jpg'
			});
		}
		$("#weibo").attr("href", "http://service.weibo.com/share/share.php?appkey=3677230589&title=" + weibotitle + "&url=" + weibourl + "&pic=" + weibopic + "&ralateUid=6242830109&searchPic=false&style=simple");
	}
	/*点击名字及头像跳转个人浏览页面*/
	$("#nameS,#headImg").click(function() {
		location.href = "information-brow.html?professorId=" + professorId;
	})
	/*资源里面相关文章*/
	function relatedArticles() {
		$.ajax({
			"url": "/ajax/resource/articles",
			"type": "GET",
			"success": function(data) {
				console.log(data);
				if(data.success) {
					if(data.data.length == 0) {
						$("#oArticle").parent().hide();
						$(".aboutTit:contains('相关文章')").hide();
						return;
					}
					relatedArticlesHtml(data.data);
				}
			},
			"data": {
				"resourceId": resourceId,
				"rows": 5
			},
			dataType: "json",
			'error': function() {
				$.MsgBox.Alert('提示', '服务器连接超时！');
			}
		});
	}
	relatedArticles();
	/*资源相关文章html*/
	function relatedArticlesHtml($html) {
		for(var i = 0; i < $html.length; i++) {
			(function(n) {
				var oURL;
				if($html[i].article.articleType==1) {
					oURL="/ajax/professor/baseInfo/" + $html[i].article.professorId;
				}else{
					oURL="/ajax/org/" + $html[i].article.orgId;
				}
				$.ajax({
					"url":oURL,
					"type": "GET",
					"success": function(data) {
						if(data.success) {
							if($html[n].article.articleType==1) {
								var stl = autho(data.data.authType, data.data.orgAuth, data.data.authStatus);
							}else {
								var stl={};
								stl.sty="";
								stl.title="";
								if(data.data.authStatus==3) {
									stl.sty="authicon-com-ok";
									stl.title="认证企业";
								}
							}
							var str = ""
							str += '<li data-id="' + $html[n].article.articleId + '">'
							if($html[n].article.articleImg) {
								str += '<div class="madiaHead artHead" style="background-image: url(/data/article/' + $html[n].article.articleImg + ')"></div>'
							} else {
								str += '<div class="madiaHead artHead"></div>'
							}
							str += '<div class="madiaInfo"  style="margin-top:18px;padding-bottom:8px">'
							str += '<p class="h1Font ellipsisSty">' + $html[n].article.articleTitle + '</p>'
							str += '<p><span class="h1Font">' + data.data.name + '</span><em class="authiconNew ' + stl.sty + '" title="' + stl.title + '"></em></p>'
							str += '</div></li>'
							$("#oArticle").append(str);
						}
					},
					'dataType': "json",
					'error': function() {
						$.MsgBox.Alert('提示', '服务器连接超时！');
					}
				});
			})(i);

		}
	}
	/*文章跳转*/
	$("#oArticle").on("click", "li", function() {
		location.href = "articalShow.html?articleId=" + $(this).attr("data-id");
	})
	/*感兴趣的资源*/
	function interestingResources(arry,oId,oNu) {
		var oUrl;
		var $in={};
		$in.keys= arry;
		$in.resourceId= resourceId;
		
		if(oNu==0) {
				$in.professorId= oId;
				oUrl="/ajax/resource/ralateRes";
		}else {
			$in.orgId= oId;
			oUrl="/ajax/resource/orgRalateRes";
		}
		$.ajax({
			"url": oUrl,
			"type": "GET",
			"success": function(data) {
				console.log(data);
				if(data.success) {
					if(data.data.length == 0) {
						$(".aboutTit:contains('您可能感兴趣的资源')").parent().hide();
						return;
					}
					interestingResourcesHtml(data.data);
				}
			},
			"data":$in,
			"traditional": true,
			dataType: "json",
			'error': function() {
				$.MsgBox.Alert('提示', '服务器连接超时！');
			}
		});
	}
	/*感兴趣资源的html*/
	function interestingResourcesHtml($respond) {
		for(var i = 0; i < $respond.length; i++) {
			if($respond[i].organization) {
				var stl={};
				stl.sty="";
				stl.title="";
				if($respond[i].organization.authStatus==3) {
					stl.sty="authicon-com-ok";
					stl.title="认证企业";
				}
				var name= $respond[i].organization.name;
			}else {
				var stl = autho($respond[i].editProfessor.authType, $respond[i].editProfessor.orgAuth, $respond[i].editProfessor.authStatus);
				var name= $respond[i].editProfessor.name;
			}
			
			var oStr = '';
			if($respond[i].images.length) {
				oStr += '<li data-id="' + $respond[i].resourceId + '"><div class="madiaHead resouseHead"style="background-image: url(/data/resource/' + $respond[i].images[0].imageSrc + ')"></div>'
			} else {
				oStr += '<li data-id="' + $respond[i].resourceId + '"><div class="madiaHead resouseHead"></div>'
			}
			oStr += '<div class="madiaInfo">'
			oStr += '<p class="h1Font">' + $respond[i].resourceName + '</p>'
			oStr += '<p><span class="h1Font">' + name + '</span><em class="authiconNew ' + stl.sty + '" title="' + stl.title + '"></em></p>'
			oStr += '<p class="h2Font ellipsisSty">用途：<span>' + $respond[i].supportedServices + '</span></p>'
			oStr += '</div></li>'
			$("#resourceList").append(oStr);
		}
	}
	/*点击资源列表*/
	$("#resourceList").on("click", "li", function() {
		location.href = "resourceShow.html?resourceId=" + $(this).attr("data-id");
	})
	/*点击咨询*/
	$("#consultin").on("click", function() {
		clickResouceConsultHandler();
	});
	$("#expertli").on("click", ".addbtn", function() {
		var $this = $(this);
		clickResouceConsultHandler($this);
	})
	/*咨询函数*/
	function clickResouceConsultHandler($this) {
		if(userid && userid != "null" && userid != null) {
			ConsultApply();
			if(!professorId) {
				concultProInfo($this.attr("data-id")); //专家信息common.js中
			} else {
				concultProInfo(professorId); //专家信息common.js中
			}

			//默认选中资源咨询和标题
			for(var i = 0; i < $("ul.menucon").children().length; i++) {
				$("ul.menucon").children().eq(i).removeClass("clicknow");
				$("ul.menucon").children().eq(1).addClass("clicknow");
			}
			var consultTitleVal = $(".h2Font").text();
			$("#consultTitle").val("关于" + consultTitleVal + "的咨询");
			//点击的发送
			$("#sendConsultBtn").click(function() {
				sendConsultHandler(professorId); //common.js中
			});
		} else {

			$.MsgBox.Alert("消息提醒", "请先登录再进行咨询");
			$("#mb_btn_ok").val("去登录");
			var aele = document.createElement('a');
			$("#mb_btnbox").append(aele);
			$("#mb_btnbox a").css({
				'display': "block",
				'width': '100%',
				'height': '40px',
				'position': 'absolute',
				'bottom': '-6px',
				'left': '0'
			});
			aele.setAttribute('href', '../login.html');
		}

	};
	//点击专家关注
	$('.attenSpan').click(function() {
		if(userid && userid != "null" && userid != null) {
			if($(this).is('.attenSpanyes')) {
				cancelCollectionExpert(professorId, 1)
			} else {
				collectionExpert(professorId, 1);
			}
		} else {
			$.MsgBox.Alert('提示', "请先登录再进行关注");
			$("#mb_btn_ok").val("去登录");
			var aele = document.createElement('a');
			$("#mb_btnbox").append(aele);
			$("#mb_btnbox a").css({
				'display': "block",
				'width': '100%',
				'height': '40px',
				'position': 'absolute',
				'bottom': '-6px',
				'left': '0'
			});
			aele.setAttribute('href', '../login.html');
		}
	})

	//点击资源收藏
	$('#attention em').click(function() {
		if(userid && userid != "null" && userid != null) {
			if($(this).is('.icon-collected')) {
				cancelCollectionExpert(resourceId, 2)
			} else {
				collectionExpert(resourceId, 2);
			}
		} else {
			$.MsgBox.Alert('提示', "请先登录再进行收藏");
			$("#mb_btn_ok").val("去登录");
			var aele = document.createElement('a');
			$("#mb_btnbox").append(aele);
			$("#mb_btnbox a").css({
				'display': "block",
				'width': '100%',
				'height': '40px',
				'position': 'absolute',
				'bottom': '-6px',
				'left': '0'
			});
			aele.setAttribute('href', '../login.html');
		}
	})

	/*判断是非关注专家*/
	function ifCollection(getid, num) {
		var data = {
			"professorId": userid,
			"watchObject": getid
		}
		//alert(JSON.stringify(data))
		$.ajax({
			url: "/ajax/watch/hasWatch",
			data: data,
			dataType: 'json', //数据格式类型
			type: 'get', //http请求类型
			timeout: 10000,
			async: true,
			success: function(data) {
				if(num == 1) {
					if(data.success && data.data != null) {
						$('.attenSpan').addClass("attenSpanyes");
						$('.attenSpan').addClass("attenedSpan");
						$('.attenSpan').text('已关注');
						zjreturnId = data.data.watchObject;
					} else {
						$('.attenSpan').removeClass("attenSpanyes");
						$('.attenSpan').removeClass("attenedSpan");
						$('.attenSpan').text('关注');
					}
				}
				if(num == 2) {
					if(data.success && data.data != null) {
						$('#attention em').addClass("icon-collected").removeClass("icon-collect");
						wzreturnId = data.data.watchObject;
					} else {
						$('#attention em').removeClass("icon-collected").addClass("icon-collect");
					}
				}

			},
			error: function() {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});
	}

	/*关注专家*/
	function collectionExpert(watchObject, num) {
		if(num == 1) {
			var data = {
				"professorId": userid,
				"watchObject": watchObject,
				"watchType": 1
			}
		} else {
			var data = {
				"professorId": userid,
				"watchObject": watchObject,
				"watchType": 2
			}
		}
		$.ajax({
			url: "/ajax/watch",
			data: data,
			dataType: 'json', //数据格式类型
			type: 'POST', //http请求类型
			timeout: 10000,
			async: false,
			success: function(data) {
				if(num == 1) {
					if(data.success) {
						$('.attenSpan').addClass("attenSpanyes");
						$('.attenSpan').addClass("attenedSpan");
						$('.attenSpan').text('已关注');
						zjreturnId = data.data.watchObject;
					}
				}

				if(num == 2) {
					if(data.success) {
						$('#attention em').addClass("icon-collected").removeClass("icon-collect");
						wzreturnId = data.data.watchObject;
					}
				}

			},
			error: function() {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});
	}

	/*取消收藏专家*/
	function cancelCollectionExpert(watchObject, num) {
		$.ajax({
			url: "/ajax/watch/delete",
			data: {
				professorId: userid,
				watchObject: watchObject
			},
			dataType: 'json', //数据格式类型
			type: 'post', //http请求类型
			timeout: 10000,
			async: true,
			success: function(data) {
				console.log(data.success)
				if(num == 1) {
					if(data.success) {
						$('.attenSpan').removeClass("attenSpanyes");
						$('.attenSpan').removeClass("attenedSpan");
						$('.attenSpan').text('关注');
					}
				}
				if(num == 2) {
					if(data.success) {
						$('#attention em').removeClass("icon-collected").addClass("icon-collect");
					}
				}

			},
			error: function(data) {
				$.MsgBox.Alert('提示', "服务器链接超时");
			}
		});

	}
	//资源浏览量
	function pageViewsVal() {
		$.ajax({
			"url": "/ajax/resource/pageViews",
			"type": "POST",
			"dataType": "json",
			"data": {
				"resourceId": resourceId
			},
			"success": function(data) {
				console.log(data);
				if(data.success) {}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
	pageViewsVal();
	selUse();

	function selUse() {
		$.ajax({
			url: "/ajax/resource/qaLinkman",
			type: "GET",
			timeout: 10000,
			dataType: "json",
			async: true,
			data: {
				"resourceId": resourceId,
			},
			success: function(data, textState) {
				console.log(data)
				if(data.success) {
					unauthUser(data.data);
				}
			},
			error: function(XMLHttpRequest, textStats, errorThrown) {
				$.MsgBox.Alert('提示', '服务器请求失败')
			}
		})
	}

	function unauthUser($res) {
		var osting = ""
		for(var i = 0; i < $res.length; i++) {
			var img;
			var styC = "";
			var oClass = autho($res[i].professor.authType, $res[i].professor.orgAuth, $res[i].professor.authStatus);
			var oTitle = "";
			if($res[i].professor.title) {
				oTitle = $res[i].professor.title;
			} else {
				if($res[i].professor.office) {
					oTitle = $res[i].professor.office;
				}
			}
			if($res[i].professor.hasHeadImage) {
				img = "/images/head/" + $res[i].professor.id + "_l.jpg";
			} else {
				img = "../images/default-photo.jpg"
			}
			var oSt = '<li class="flexCenter">'
			oSt += '<div class="madiaHead useHead" id="userimg" style="background-image: url(' + img + ');"></div>'
			oSt += '<div class = "madiaInfo">'
			oSt += '<p class = "ellipsisSty">'
			oSt += '<span class = "h1Font" id="name">' + $res[i].professor.name + '</span><em class="authiconNew ' + oClass.sty + '" title="' + oClass.title + '"></em >'
			oSt += '</p>'
			oSt += '<p class="h2Font ellipsisSty">' + oTitle + '</p>'
			oSt += '</div>'
			oSt += '<span class="addbtn" data-id="' + $res[i].professor.id + '">咨询</span>'
			oSt += '</li>'
			osting += oSt;
		}
		$("#expertli").html(osting);
	}
})